# Class: ReplaceManager

Defined in: | lib/Types/StructuredTypes.coffee
Inherits: | ListManager

## Overview

Adds support for replace. The ReplaceManager manages Replaceable operations. Each Replaceable holds a value that is now replaceable.

The Word-type has implemented support for replace

### See also:

- Word

## Instance Method Summary

- # (void) replace(content) Replace the existing word with a new word.
- # (String) val() Get the value of this Word
- # (void) _encode() Encode this operation in such a way that it can be parsed by remote peers.

## Inherited Method Summary

### Methods inherited from ListManager

#getLastOperation #getFirstOperation #toArray #getOperationByPosition

## Constructor Details

# (void) constructor(initial_content, uid, beginning, end, prev, next, origin)

### Parameters:

- initial_content ( `Operation` ) — Initialize this with a Replaceable that holds the initial_content.
- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.
- beginning ( `Delimiter` ) — Reference or Object.
- end ( `Delimiter` ) — Reference or Object.

## Instance Method Details

# (void) replace(content)

Replace the existing word with a new word.

# (String) val()

Get the value of this Word

### Returns:

- `String`

# (void) _encode()

Encode this operation in such a way that it can be parsed by remote peers.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input